/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * A simple JUnit test case for testing. Each test simply prints a string to the system output.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class SimpleTestCase extends TestCase {
    /**
     * Creates a test of the specified name.
     *
     * @param name the name of the test.
     */
    public SimpleTestCase(String name) {
        super(name);
    }

    /**
     * Writes "execute1" to the system output.
     */
    public void testExecute1() {
        System.out.print("execute1;");
    }

    /**
     * Writes "execute2" to the system output.
     */
    public void testExecute2() {
        System.out.print("execute2;");
    }

    /**
     * Writes "execute3" to the system output.
     */
    public void testExecute3() {
        System.out.print("execute3;");
    }

    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite();

        for (int i = 1; i <= 3; i++) {
            suite.addTest(new SimpleTestCase("testExecute" + i));
        }
        return suite;
    }
}
