/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.apache.cactus.WebRequest;


/**
 * @author Administrator
 */
public class DemoServletTestCase extends TCServletTestCase {
    /**
     * Creates a test of the specified name.
     *
     * @param name the name of the test.
     */
    public DemoServletTestCase(String theName) {
        super(theName);
    }

    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(DemoServletTestCase.class);

        return suite;
    }

    /**
     * Adds a parameter to the http request.
     *
     * @param webRequest the request object on the client side.
     */
    public void beginDemo(WebRequest webRequest) {
        webRequest.addParameter("testparam", "it works!");
    }

    /**
     * Verifies the parameter passed from the client side to the server side.
     */
    public void testDemo() {
        assertEquals("Fails to pass parameters", "it works!", getRequest().getParameter("testparam"));
    }
}
