/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.apache.cactus.server.FilterConfigWrapper;
import org.apache.cactus.server.HttpServletRequestWrapper;


/**
 * Unit tests for TCFilterTestCase implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class TCFilterTestCaseTest extends TestCase {
    /**
     * The TCFilterTestCase instance to test against.
     */
    private TCFilterTestCase testcase = null;

    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(TCFilterTestCaseTest.class);

        return suite;
    }

    /**
     * Prepares a TCFilterTestCase instance for testing.
     */
    protected void setUp() {
        testcase = new TCFilterTestCase();
    }

    /**
     * Tests the constructor with no argument. Verifies if the name of the testcase is null.
     */
    public void testConstructor_NoArg() {
        testcase = new TCFilterTestCase();
        assertNull("Fails to set the name", testcase.getName());
    }

    /**
     * Tests the constructor with one argument. Verifies if the name of the testcase is set.
     */
    public void testConstructor_OneArg() {
        String name = "name";

        testcase = new TCFilterTestCase(name);
        assertEquals("Fails to set the name", name, testcase.getName());
    }

    /**
     * Test of getConfig method. Verifies if it returns the same reference as the config implicit object.
     */
    public void testGetConfig() {
        testcase.config = new FilterConfigWrapper(null);
        assertSame("Returns an incorrect filter config", testcase.config, testcase.getConfig());
    }

    /**
     * Test of getRequest method. Verifies if it returns the same reference as the request implicit object.
     */
    public void testGetRequest() {
        testcase.request = new HttpServletRequestWrapper(null, null);
        assertSame("Returns an incorrect HTTP request", testcase.request, testcase.getRequest());
    }

    /**
     * Test of getResponse method. Verifies if it returns the same reference as the response implicit object.
     */
    public void testGetResponse() {
        testcase.response = new SimpleHttpServletResponse();
        assertSame("Returns an incorrect HTTP response", testcase.response, testcase.getResponse());
    }

    /**
     * Test of getFilterChain method. Verifies if it returns the same reference as the filterChain implicit object.
     */
    public void testGetFilterChain() {
        testcase.filterChain = new SimpleFilterChain();
        assertSame("Returns an incorrect filter chain", testcase.filterChain, testcase.getFilterChain());
    }
}
